/*********************************************************************
* RootApi.h
*
*  Extended Run Time Type Identification API
*
*
*********************************************************************/


#ifndef ROOTAPI_H
#define ROOTAPI_H

#define G__ROOTAPISL

#include <string.h>

/*********************************************************************
* Functions embedded in cint core
* Most of those functions are defined in src/cintapi.c
*
*********************************************************************/

// extern "C" {
// typedef int (*G__interfacemethod)(G__value*,char*,struct G__param*,int);
// }


/*********************************************************************
* class G__ClassInfo
*
*
*********************************************************************/
class G__TClass : public G__ClassInfo {
 public:
  G__TClass() { init(); }
  G__TClass(char *classname) : G__ClassInfo { init(classname); }

  int operator==(const G__ClassInfo& a);
  int operator!=(const G__ClassInfo& a);

  const char* name() ;
  const char *title() ;
  int size() ;
  int isabstract() ;
  G__ClassInfo parent() ;
  long Tagnum() { return(tagnum); }

  // char *DefFile();
  // int   DefLine();
  // char *ImpFile();
  // int   ImpLine();
  // int   Version();
  // void *New();
  // int Ndatamembers();
  // int Nmethod();
  // int InstanceCount();
  // int ResetInstanceCount();
  // int HeapInstanceCount();
  // int IsPublicBase(char *classname);
  // int IsPublicBase(G__ClassInfo& a);
  // int IsAnyBase(char *classname);
  // int IsAnyBase(G__ClassInfo& a);

  int next();

 protected:
  long tagnum;  // class,struct,union,enum key for cint dictionary

 private:
  // G__interfacemethod defaultconstructor;
  // unsigned int objectcount;
  // char *impfile;
  // int impline;
  // int version;
};

/*********************************************************************
* class G__BaseClassInfo
*
*
*********************************************************************/
class G__BaseClassInfo : public G__ClassInfo {
 public:
  void init();
  void init(G__ClassInfo &a);
  G__BaseClassInfo(G__ClassInfo &a);

  long offset() ;
  int ispublic() ;
  int isprotected() ;
  int isprivate() ;
  int next();

 private:
  long basep;
  long derivedtagnum;
};

/*********************************************************************
* class G__DataMemberInfo
*
*
*********************************************************************/
class G__DataMemberInfo {
 public:
  G__DataMemberInfo() { init(); }
  G__DataMemberInfo(class G__ClassInfo &a) { init(a); }

  const char *name() ;
  const char *title() ;
  const char *type() ;
  long offset() ;
  int isstatic() ;
  int ispublic() ;
  int isprotected() ;
  int isprivate() ;
  int ispointer() ;
  int isarray() ;
  int maxindex() ;
  int next();

  void init();
  void init(class G__ClassInfo &a);

 private:
  long handle;
  long index;
  long tagnum;
};

/*********************************************************************
* class G__MethodInfo
*
*
*********************************************************************/
class G__MethodInfo {
 public:

  friend class G__MethodArgInfo;

  void init();
  void init(G__ClassInfo &a);
  G__MethodInfo() { init(); }
  G__MethodInfo(G__ClassInfo &a) { init(a); }

  const char *name() ;
  const char *title() ;
  const char *type() ;
  int ispublic() ;
  int isprotected() ;
  int isprivate() ;
  int ispointer() ;
  int isvirtual() ;
  int ispurevirtual() ;
  int argc() ;
  int next();

 private:
  long handle;
  long index;
  long tagnum;
};


/*********************************************************************
* class G__MethodArgInfo
*
*
*********************************************************************/
class G__MethodArgInfo {
 private:
  G__MethodArgInfo() {}
 public:
  G__MethodArgInfo(class G__MethodInfo &a) { init(a); }

  const char *name() ;
  const char *type() ;
  int isdefault() ;
  int ispointer() ;
  int next();

  void init();
  void init(class G__MethodInfo &a);

 private:
  G__MethodInfo *pmethod;
  long argn;
};

#endif
