
//+SEQ,CopyRight,T=NOINCLUDE.

#ifndef ROOT_TApplicationImp
#define ROOT_TApplicationImp

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TApplicationImp                                                      //
//                                                                      //
// ABC describing GUI independent application implementation protocol.  //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_Rtypes
//*KEEP,Rtypes.
#include "Rtypes.h"
//*KEND.
#endif


class TApplicationImp {

public:
   TApplicationImp() { }
   TApplicationImp(const char *appClassName, int *argc, char **argv,
                   void *options, int numOptions);
   virtual ~TApplicationImp() { }

   virtual char   *ApplicationName() const { return 0; }
   virtual void    Show() { }
   virtual void    Hide() { }
   virtual void    Iconify() { }
   virtual Bool_t  IsCmdThread() { return kTRUE; } // by default (for UNIX) ROOT is a single thread application
   virtual void    Init() { }
   virtual void    Open() { }
   virtual void    Raise() { }
   virtual void    Lower() { }

   ClassDef(TApplicationImp,0)  //ABC describing application implementation protocol
};

inline TApplicationImp::TApplicationImp(const char *, int *, char **,
                                        void *, int) { }

#endif
