
#ifndef ROOT_TAttHist
#define ROOT_TAttHist

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TAttHist                                                             //
//                                                                      //
// Histogram attributes.                                                //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_Gtypes
//*KEEP,GTYPES.
#include "Gtypes.h"
//*KEND.
#endif


class TAttHist {

protected:
   Color_t    fHistColor;           //line color
   Style_t    fHistStyle;           //line style
   Width_t    fHistWidth;           //line width

public:
   TAttHist();
   TAttHist(Color_t lcolor,Style_t lstyle, Width_t lwidth);
   virtual         ~TAttHist();
   void             Copy(TAttHist &atthist);
   Color_t          GetHistColor() {return fHistColor;}
   Style_t          GetHistStyle() {return fHistStyle;}
   Width_t          GetHistWidth() {return fHistWidth;}

   virtual void     Print(Option_t *option="");
   virtual void     Reset(Option_t *option="");
   virtual void     SetHistColor(Color_t hcolor) { fHistColor = hcolor;}
   virtual void     SetHistStyle(Style_t hstyle) { fHistStyle = hstyle;}
   virtual void     SetHistWidth(Width_t hwidth) { fHistWidth = hwidth;}

   ClassDef(TAttHist,0)  //Histogram attributes
};

#endif
