
#ifndef ROOT_TAttMarker
#define ROOT_TAttMarker

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TAttMarker                                                           //
//                                                                      //
// Marker attributes.                                                   //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_Gtypes
//*KEEP,Gtypes.
#include "Gtypes.h"
//*KEND.
#endif
#ifndef ROOT_TString
//*KEEP,TString.
#include "TString.h"
//*KEND.
#endif


class TAttMarker {

protected:
        Color_t    fMarkerColor;       //Marker color index
        Style_t    fMarkerStyle;       //Marker style
        Size_t     fMarkerSize;        //Marker size

public:
        TAttMarker();
        TAttMarker(Color_t color, Style_t style, Size_t msize);
        virtual ~TAttMarker();
                void     Copy(TAttMarker &attmarker);
        virtual Color_t  GetMarkerColor() {return fMarkerColor;}
        virtual Style_t  GetMarkerStyle() {return fMarkerStyle;}
        virtual Size_t   GetMarkerSize()  {return fMarkerSize;}
        virtual void     Modify();
        virtual void     Reset(Option_t *toption="");
        virtual void     SaveMarkerAttributes(ofstream &out, const Text_t *name, Int_t coldef=1, Int_t stydef=1, Int_t sizdef=1);
        virtual void     SetMarkerAttributes();  // *MENU*
        virtual void     SetMarkerColor(Color_t tcolor=1) { fMarkerColor = tcolor;}
        virtual void     SetMarkerStyle(Style_t mstyle=1) { fMarkerStyle = mstyle;}
        virtual void     SetMarkerSize(Size_t msize=1)    { fMarkerSize  = msize;}

        ClassDef(TAttMarker,1)  //Marker attributes
};

#endif

