
#ifndef ROOT_TAttStat
#define ROOT_TAttStat

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TAttStat                                                             //
//                                                                      //
// Histogram statistics attributes.                                     //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_Gtypes
//*KEEP,GTYPES.
#include "Gtypes.h"
//*KEND.
#endif


class TAttStat {
protected:
        Color_t    fStatColor;          //stat color
        Style_t    fStatStyle;          //stat style
        Float_t    fStatX;              //X position of top right corner of stat box
        Float_t    fStatY;              //Y position of top right corner of stat box
        Float_t    fStatW;              //width of stat box
        Float_t    fStatH;              //height of stat box

public:
        TAttStat();
        TAttStat(Color_t color, Style_t style, Float_t w, Float_t h, Float_t x, Float_t y);
        virtual ~TAttStat();
                void     Copy(TAttStat &attstat);
        Color_t          GetStatColor() {return fStatColor;}
        Style_t          GetStatStyle() {return fStatStyle;}
        Float_t          GetStatX() {return fStatX;}
        Float_t          GetStatY() {return fStatY;}
        Float_t          GetStatW() {return fStatW;}
        Float_t          GetStatH() {return fStatH;}

        virtual void     Reset(Option_t *option="");
        virtual void     SetStatColor(Color_t scolor) { fStatColor = scolor;}
        virtual void     SetStatStyle(Style_t sstyle) { fStatStyle = sstyle;}
        virtual void     SetStatX(Float_t x) { fStatX = x;}
        virtual void     SetStatY(Float_t y) { fStatY = y;}
        virtual void     SetStatW(Float_t w) { fStatW = w;}
        virtual void     SetStatH(Float_t h) { fStatH = h;}

        ClassDef(TAttStat,0)  //Histogram statistics attributes
};

#endif

