
#ifndef ROOT_TBRIK
#define ROOT_TBRIK

//+SEQ,CopyRight,T=NOINCLUDE.

////////////////////////////////////////////////////////////////////////////
//                                                                        //
// TBRIK                                                                  //
//                                                                        //
// BRIK is a box. It has 3 parameters, the half length in x, y, and z     //
//                                                                        //
////////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TShape
//*KEEP,TSHAPE.
#include "TShape.h"
//*KEND.
#endif

class TBRIK : public TShape {

    protected:
        Float_t fDx;        // half length in x
        Float_t fDy;        // half length in y
        Float_t fDz;        // half length in z

    public:
        TBRIK();
        TBRIK(Text_t *name, Text_t *title, Text_t *material, Float_t dx, Float_t dy, Float_t dz);
        virtual ~TBRIK();

        virtual Int_t   DistancetoPrimitive(Int_t px, Int_t py);
        Float_t         GetDx() {return fDx;}
        Float_t         GetDy() {return fDy;}
        Float_t         GetDz() {return fDz;}
        virtual void    Paint(Option_t *option);
        virtual void    PaintGLPoints(Float_t *buff);
        virtual void    SetPoints(Float_t *buff);
        virtual void    Sizeof3D() const;

        ClassDef(TBRIK,1)  //TBRIK shape
};

#endif
