
#ifndef ROOT_TControlBarImp
#define ROOT_TControlBarImp

//+SEQ,CopyRight,T=NOINCLUDE.

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// TControlBarImp                                                             //
//                                                                            //
// ABC describing GUI independent control bar (see TControlBar)               //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

#ifndef ROOT_Rtypes
//*KEEP,RTYPES.
#include "Rtypes.h"
//*KEND.
#endif


class TControlBar;


class TControlBarImp {

protected:
   TControlBar *fControlBar; //TControlBar associated with this implementation
   Int_t        fXpos;       //Initial x position
   Int_t        fYpos;       //Initial y position

public:
   TControlBarImp(TControlBar *c, const char * = "") : fControlBar(c) { }
   TControlBarImp(TControlBar *c, const char *, Int_t, Int_t) : fControlBar(c) { }
   virtual ~TControlBarImp() { }

   virtual TControlBar *GetControlBar() { return fControlBar; }

   virtual void Create() { }
   virtual void Hide() { }
   virtual void Show() { }

   ClassDef(TControlBarImp,0)  //GUI independent controlbar abc
};

#endif
