#ifndef ROOT_TCritSection
#define ROOT_TCritSection

#ifndef ROOT_Windows4Root
//*KEEP,Windows4Root,T=C++.
#include "Windows4Root.h"
//*KEND.
#endif

#ifndef ROOT_TObject
//*KEEP,TObject.
#include "TObject.h"
//*KEND.
#endif

class TCritSection : public TObject {

private:
   LPCRITICAL_SECTION  flpCriticalSection; // pointer to critical section object
   int          fSectionCount;             // flag to mark whether we are witin the section
   HANDLE       fhEvent;                   // The event object to synch threads
   HANDLE       fWriteLock;                // Event object to synch thread


public:

    TCritSection();
    ~TCritSection();

    void      WriteLock ();
    void      ReleaseWriteLock();
    void      ReadLock();
    void      ReleaseReadLock();


    void      XW_OpenSemaphore(){;}
    void      XW_CloseSemaphore(){;}
    void      XW_WaitSemaphore(){;}
    void      XW_CreateSemaphore(){;}

    ClassDef(TCritSection,0)
};
#endif
