
#ifndef ROOT_TCut
#define ROOT_TCut

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TCut                                                                 //
//                                                                      //
// A specialized string object used in TTree selections.                //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TNamed
//*KEEP,TNamed.
#include "TNamed.h"
//*KEND.
#endif

class TCut : public TNamed {

public:
   TCut();
   TCut(const Text_t *title);
   TCut(const Text_t *name, const Text_t *title);
   TCut(const TCut &cut);
   virtual ~TCut();

   // Assignment
   TCut&    operator=(const char *rhs);
   TCut&    operator=(const TCut& rhs);
   TCut&    operator+=(const char *rhs);
   TCut&    operator+=(const TCut& rhs);
   TCut&    operator!();

   friend TCut operator+(const TCut& lhs, const char *rhs);
   friend TCut operator+(const char *lhs, const TCut& rhs);
   friend TCut operator+(const TCut& lhs, const TCut& rhs);
   friend TCut operator&&(const TCut& lhs, const char *rhs);
   friend TCut operator&&(const char *lhs, const TCut& rhs);
   friend TCut operator&&(const TCut& lhs, const TCut& rhs);
   friend TCut operator||(const TCut& lhs, const char *rhs);
   friend TCut operator||(const char *lhs, const TCut& rhs);
   friend TCut operator||(const TCut& lhs, const TCut& rhs);

   // Type conversion
   operator const char*() const { return GetTitle(); }

   ClassDef(TCut,1)  //A specialized string object used for TTree selections
};

#endif
