
#ifndef ROOT_TCutG
#define ROOT_TCutG

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TCutG                                                                //
//                                                                      //
// A Graphical cut.                                                     //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TGraph
//*KEEP,TGRAPH.
#include "TGraph.h"
//*KEND.
#endif

#ifndef ROOT_TTreeFormula
//*KEEP,TTREEFORMULA.
#include "TTreeFormula.h"
//*KEND.
#endif

class TCutG : public TGraph {

protected:
   TString      fVarX;         //X variable
   TString      fVarY;         //Y variable
   TTreeFormula *fFormulaX;    //!pointer to TreeFormula for X
   TTreeFormula *fFormulaY;    //!pointer to TreeFormula for Y
   TTree        *fTree;        //!pointer to current tree

public:
   TCutG();
   TCutG(const Text_t *name, Int_t n, Float_t *x=0, Float_t *y=0);
   virtual ~TCutG();
   virtual Double_t      EvalInstance(Int_t instance);
virtual const Text_t     *GetVarX() const {return fVarX.Data();}
virtual const Text_t     *GetVarY() const {return fVarY.Data();}
        virtual Int_t    IsInside(Float_t x, Float_t y);
        virtual void     SavePrimitive(ofstream &out, Option_t *option);
        virtual void     SetTree(TTree *tree) {fTree = tree;}
        virtual void     SetVarX(const Text_t *varx); // *MENU*
        virtual void     SetVarY(const Text_t *vary); // *MENU*

   ClassDef(TCutG,1)  // A Graphical cut.
};

#endif
