
#ifndef ROOT_TDatime
#define ROOT_TDatime

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TDatime                                                              //
//                                                                      //
// Data and time 950130 124559.                                         //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_Htypes
//*KEEP,Htypes.
#include "Htypes.h"
//*KEND.
#endif


class TDatime {

protected:
   UInt_t     fDatime;            //Date (relative to 1995) + time

public:
   TDatime();
   virtual ~TDatime() { }
   virtual const char  *AsString() const;
   UInt_t               Convert() const;
   virtual void         Copy(TDatime &datime);
   UInt_t               Get() const { return fDatime; }
   virtual Int_t        GetDate();
   virtual Int_t        GetTime();
   virtual void         FillBuffer(char *&buffer);
   virtual void         Print(Option_t *option="");
   virtual void         ReadBuffer(char *&buffer);
   virtual void         Set();
   virtual void         Set(Int_t date, Int_t time);
   virtual void         Set(Int_t year, Int_t month, Int_t day,
                            Int_t hour, Int_t min, Int_t sec);
   virtual Int_t        Sizeof() const {return sizeof(UInt_t);}

   static void GetDateTime(UInt_t datetime, Int_t &date, Int_t &time);

   ClassDef(TDatime,1)  //Date and time 950130 124559
};

#endif
