
#ifndef ROOT_TDrawPanelHist
#define ROOT_TDrawPanelHist

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TDrawPanelHist                                                       //
//                                                                      //
// Class used to control histogram drawing options                      //
//                                                                      //
//////////////////////////////////////////////////////////////////////////



#ifndef ROOT_TDialogCanvas
//*KEEP,TDIALOGCANVAS.
#include "TDialogCanvas.h"
//*KEND.
#endif

class TSlider;
class TH1;

class TDrawPanelHist : public TDialogCanvas {

protected:
        TString     fOption;     //Fitting options
        TSlider     *fSlider;    //Pointer to fitpanel slider
        TObject     *fHistogram; //Pointer to histogram

public:
        TDrawPanelHist();
        TDrawPanelHist(const Text_t *name, const Text_t *title, UInt_t ww=500, UInt_t wh=600);
        virtual ~TDrawPanelHist();
        virtual void  AddOption(Option_t *option);
        virtual void  Apply(const Text_t *action="");
        virtual void  BuildStandardButtons();
        virtual void  ExecuteEvent(Int_t event, Int_t px, Int_t py);
        TObject       *GetHistogram() {return fHistogram;}
        virtual void  SavePrimitive(ofstream &out, Option_t *option);
        virtual void  SetDefaults();
        virtual void  SetSame();

        ClassDef(TDrawPanelHist,1)  //Class used to control histogram drawing options
};

#endif

