
#ifndef ROOT_TELTU
#define ROOT_TELTU

//+SEQ,CopyRight,T=NOINCLUDE.

////////////////////////////////////////////////////////////////////////////
//                                                                        //
// TELTU                                                                  //
//                                                                        //
// 'ELTU' is a  cylinder with  an elliptical  section.  It  has three     //
//        parameters:  the  ellipse  semi-axis   in  X,  the  ellipse     //
//        semi-axis in Y  and the half length in Z.   The equation of     //
//        the conical curve is:                                           //
//             X**2/fRx**2  +  Y**2/fRy**2  =  1                          //
//        ELTU is not divisible.                                          //
//                                                                        //
////////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TTUBE
//*KEEP,TTUBE.
#include "TTUBE.h"
//*KEND.
#endif

class TELTU : public TTUBE {

    public:
        TELTU();
        TELTU(Text_t *name, Text_t *title, Text_t *material, Float_t rx, Float_t ry,Float_t dz);
        virtual ~TELTU();

        ClassDef(TELTU,1)  //ELTU shape
};

#endif
