
#ifndef ROOT_TFree
#define ROOT_TFree

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TFree                                                                //
//                                                                      //
// Description of free segments on a file.                              //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TObject
//*KEEP,TOBJECT.
#include "TObject.h"
//*KEND.
#endif


class TFree : public TObject {

protected:
        Seek_t        fFirst;            //First free word of segment
        Seek_t        fLast;             //Last free word of segment

public:
        TFree();
        TFree(Seek_t first, Seek_t last);
        virtual ~TFree();
               TFree     *AddFree(Seek_t first, Seek_t last);
        virtual void     FillBuffer(char *&buffer);
               TFree     *GetBestFree(Int_t nbytes);
              Seek_t     GetFirst() {return fFirst;}
              Seek_t     GetLast() {return fLast;}
        virtual void     ReadBuffer(char *&buffer);
                void     SetFirst(Seek_t first) {fFirst=first;}
                void     SetLast(Seek_t last) {fLast=last;}
               Int_t     Sizeof() const {return sizeof(Version_t) + 2*sizeof(Seek_t);}

        ClassDef(TFree,1)  //Description of free segments on a file
};

#endif
