
#ifndef ROOT_TGStatusBar
#define ROOT_TGStatusBar

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TGStatusBar                                                          //
//                                                                      //
// Provides a StatusBar widget.                                         //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TGFrame
//*KEEP,TGFRAME.
#include "TGFrame.h"
//*KEND.
#endif


class TGStatusBar : public TGFrame {

friend class TGClient;
friend class TGStatusBarPart;

protected:
   TGStatusBarPart **fStatusPart; // frames containing statusbar text
   Int_t            *fParts;      // size of parts (in percent of total width)
   Int_t             fNpart;      // number of parts
   Int_t             fYt;         // y drawing position (depending on font)
   Int_t            *fXt;         // x position for each part

   static GContext_t    fgDefaultGC;
   static FontStruct_t  fgDefaultFontStruct;

   virtual void DoRedraw();

public:
   TGStatusBar(const TGWindow *p, UInt_t w, UInt_t h,
               UInt_t options = kSunkenFrame,
               ULong_t back = fgDefaultFrameBackground);
   virtual ~TGStatusBar();

   virtual void DrawBorder();
   virtual void SetText(TGString *text, Int_t partidx = 0);
   virtual void SetText(const char *text, Int_t partidx = 0);
   virtual void SetParts(Int_t *parts, Int_t npart);
   virtual void SetParts(Int_t npart);

   ClassDef(TGStatusBar,0)  // Status bar widget
};

#endif
