#ifndef ROOT_TGWin32Pen
#define ROOT_TGWin32Pen

#ifndef ROOT_TObject
//*KEEP,TObject.
#include "TObject.h"
//*KEND.
#endif

#ifndef ROOT_Windows4Root
//*KEEP,Windows4Root,T=C++.
#include "Windows4Root.h"
//*KEND.
#endif

class TGWin32Pen : public TObject {

private:

   HPEN       fhdPen;
   LOGPEN     fPen;
   LOGBRUSH   fBrush;
   int        flUserDash;
   int       *fUserDash;

public:

   TGWin32Pen();
   ~TGWin32Pen();
   void Delete();
   HPEN CreatePen();
   COLORREF GetColor(){return fBrush.lbColor;}
   void SetWidth(Width_t width=1);
   void SetType(int n=0, int *dash = 0);
   void SetColor(COLORREF cindex=1);
   HGDIOBJ GetWin32Pen();

   ClassDef(TGWin32Pen,0)  // Pen class for Win32 interface
};

#endif
