
#ifndef ROOT_TGlobal
#define ROOT_TGlobal

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TGlobal                                                              //
//                                                                      //
// Global variables class (global variables are obtained from CINT).    //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TDictionary
//*KEEP,TDICTIONARY.
#include "TDictionary.h"
//*KEND.
#endif

class G__DataMemberInfo;


class TGlobal : public TDictionary {

private:
   G__DataMemberInfo  *fInfo;      //pointer to CINT data member info

public:
   TGlobal(G__DataMemberInfo *info = 0);
   virtual       ~TGlobal();
   Int_t          GetArrayDim() const;
   Int_t          GetMaxIndex(Int_t dim) const;
   void          *GetAddress() const;
   const char    *GetTypeName() const;
   const char    *GetFullTypeName() const;
   const char    *GetName() const;
   const char    *GetTitle() const;
   Int_t          Compare(TObject *obj);
   ULong_t        Hash();
   Long_t         Property() const;

   ClassDef(TGlobal,0)  //Global variable class
};

#endif
