
#ifndef ROOT_TLeafC
#define ROOT_TLeafC

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TLeafC                                                               //
//                                                                      //
// A TLeaf for a variable length string.                                //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TLeaf
//*KEEP,TLeaf,T=C++.
#include "TLeaf.h"
//*KEND.
#endif

class TClonesArray;

class TLeafC : public TLeaf {

protected:
    Int_t        fMinimum;         //Minimum value if leaf range is specified
    Int_t        fMaximum;         //Maximum value if leaf range is specified
    Char_t       *fValue;          //Pointer to data buffer

public:
    TLeafC();
    TLeafC(const Text_t *name, const Text_t *type);
    virtual ~TLeafC();

    virtual void    Export(TClonesArray *list, Int_t n);
    virtual void    FillBasket(TBuffer &b);
    virtual Int_t   GetMaximum() {return fMaximum;}
    virtual Int_t   GetMinimum() {return fMinimum;}
    const Text_t    *GetTypeName() const;
    Float_t         GetValue(Int_t i=0, TTreeFormula *f=0);
    virtual void   *GetValuePointer() {return fValue;}
    char            *GetValueString() {return fValue;}
    virtual void    Import(TClonesArray *list, Int_t n);
    virtual void    Print(Option_t *option="");
    virtual void    ReadBasket(TBuffer &b);
    virtual void    SetAddress(void *add=0);

    ClassDef(TLeafC,1)  //A TLeaf for a variable length string.
};

inline Float_t TLeafC::GetValue(Int_t i, TTreeFormula *) { return fValue[i]; }

#endif
