
#ifndef ROOT_TLeafObject
#define ROOT_TLeafObject

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TLeafObject                                                          //
//                                                                      //
// A TLeaf for a general object derived from TObject.                   //
//                                                                      //
//////////////////////////////////////////////////////////////////////////


#ifndef ROOT_TLeaf
//*KEEP,TLeaf,T=C++.
#include "TLeaf.h"
//*KEND.
#endif

class TClass;
class TMethodCall;

class TLeafObject : public TLeaf {

protected:
    TClass      *fClass;          //pointer to class
    void        **fObjAddress;    //Address of Pointer to object

public:
    TLeafObject();
    TLeafObject(const Text_t *name, const Text_t *type);
    virtual ~TLeafObject();

    virtual void    FillBasket(TBuffer &b);
    TClass          *GetClass() {return fClass;}
    TMethodCall     *GetMethodCall(char *name);
    TObject         *GetObject() {return (TObject*)(*fObjAddress);}
    const Text_t    *GetTypeName() const ;
    Float_t         GetValue(Int_t i, TTreeFormula *f=0);
    virtual void    Print(Option_t *option="");
    virtual void    ReadBasket(TBuffer &b);
    virtual void    SetAddress(void *add=0);

    ClassDef(TLeafObject,0)  //A TLeaf for a general object derived from TObject.
};

#endif
