
#ifndef ROOT_TLeafS
#define ROOT_TLeafS

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TLeafS                                                               //
//                                                                      //
// A TLeaf for a 16 bit Integer data type.                              //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TLeaf
//*KEEP,TLeaf,T=C++.
#include "TLeaf.h"
//*KEND.
#endif

class TClonesArray;

class TLeafS : public TLeaf {

protected:
    Short_t       fMinimum;         //Minimum value if leaf range is specified
    Short_t       fMaximum;         //Maximum value if leaf range is specified
    Short_t       *fValue;          //Pointer to data buffer

public:
    TLeafS();
    TLeafS(const Text_t *name, const Text_t *type);
    virtual ~TLeafS();

    virtual void    Export(TClonesArray *list, Int_t n);
    virtual void    FillBasket(TBuffer &b);
    const Text_t    *GetTypeName() const;
    Float_t         GetValue(Int_t i=0, TTreeFormula *f=0);
    virtual void    *GetValuePointer() {return fValue;}
    virtual void    Import(TClonesArray *list, Int_t n);
    virtual void    Print(Option_t *option="");
    virtual void    ReadBasket(TBuffer &b);
    virtual void    SetAddress(void *add=0);

    ClassDef(TLeafS,1)  //A TLeaf for a 16 bit Integer data type.
};

#endif
