
#ifndef ROOT_TMacGuiFactory
#define ROOT_TMacGuiFactory

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TMacGuiFactory                                                       //
//                                                                      //
// Factory for Macintosh GUI components.                                //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TGuiFactory
//*KEEP,TGuiFactory.
#include "TGuiFactory.h"
//*KEND.
#endif


class TMacGuiFactory : public TGuiFactory {

public:
   TMacGuiFactory() : TGuiFactory("MacOS", "MacOS GUI Factory") { }
   ~TMacGuiFactory() { }

   TApplicationImp *CreateApplicationImp(const char *classname, int *argc, char **argv, void *option, Int_t numOptions);

   TCanvasImp *CreateCanvasImp(TCanvas *c, const char *title, UInt_t width, UInt_t height);
   TCanvasImp *CreateCanvasImp(TCanvas *c, const char *title, Int_t x, Int_t y, UInt_t width, UInt_t height);

   TBrowserImp *CreateBrowserImp(TBrowser *b, const char *title, UInt_t width, UInt_t height);
   TBrowserImp *CreateBrowserImp(TBrowser *b, const char *title, Int_t x, Int_t y, UInt_t width, UInt_t height);

   TContextMenuImp *CreateContextMenuImp(TContextMenu *c, const char *name, const char *title);

   TControlBarImp *CreateControlBarImp(TControlBar *c, const char *name="", const char *title="");

   ClassDef(TMacGuiFactory,0)  //Factory for Macintosh GUI components
};

#endif
