
//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TMixture                                                             //
//                                                                      //
// Mixtures used in the Geometry Shapes                                 //
//                                                                      //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TMixture
#define ROOT_TMixture

#ifndef ROOT_TMaterial
//*KEEP,TMATERIAL.
#include "TMaterial.h"
//*KEND.
#endif

class TMixture  : public TMaterial {
 protected:
   Int_t        fNmixt;       //Number of elements in mixture
   Float_t      *fAmixt;      //Array of A of mixtures
   Float_t      *fZmixt;      //Array of Z of mixtures
   Float_t      *fWmixt;      //Array of relative weights

 public:
        TMixture();
        TMixture(Text_t *name, Text_t *title, Int_t nmixt);
        virtual ~TMixture();
        virtual void      DefineElement(Int_t n, Float_t a, Float_t z, Float_t w);
                Int_t     GetNmixt() {return fNmixt;}
                Float_t   *GetAmixt() {return fAmixt;}
                Float_t   *GetZmixt() {return fZmixt;}
                Float_t   *GetWmixt() {return fWmixt;}

        ClassDef(TMixture,1)  //Mixtures used in the Geometry Shapes
};

#endif
