
//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TNodeDiv                                                             //
//                                                                      //
// Description of parameters to divide a 3-D geometry object            //
//                                                                      //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TNodeDiv
#define ROOT_TNodeDiv

#ifndef ROOT_TNode
//*KEEP,TNODE.
#include "TNode.h"
//*KEND.
#endif


class TNodeDiv  : public TNode {
 protected:
   Int_t           fNdiv;        //Number of divisions
   Int_t           fAxis;        //Axis number where object is divided

 public:
        TNodeDiv();
        TNodeDiv(Text_t *name, Text_t *title, Text_t *shapename, Int_t ndiv, Int_t axis, Option_t *option="");
        TNodeDiv(Text_t *name, Text_t *title, TShape *shape, Int_t ndiv, Int_t axis, Option_t *option="");
        virtual ~TNodeDiv();
        virtual void             Draw(Option_t *option="");
        virtual void             Paint(Option_t *option="");

        ClassDef(TNodeDiv,1)  //Description of parameters to divide a 3-D geometry object
};

#endif
