
#ifndef ROOT_TNtuple
#define ROOT_TNtuple

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TNtuple                                                              //
//                                                                      //
// A simple tree with only one branch of floats.                        //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TTree
//*KEEP,TTREE.
#include "TTree.h"
//*KEND.
#endif

class TBrowser;

class TNtuple : public TTree {

protected:
   Int_t       fNvar;            //Number of columns
   Float_t     *fArgs;           //Array of variables

   virtual Int_t  Fill();

public:
   TNtuple();
   TNtuple(const Text_t *name,const Text_t *title, const Text_t *varlist, Int_t bufsize=32000);
   virtual ~TNtuple();

   virtual void    Browse(TBrowser *b);
   virtual Int_t   Fill(Float_t *x);
   virtual Int_t   Fill(Float_t x0, Float_t x1, Float_t x2=0, Float_t x3=0,
                        Float_t x4=0, Float_t x5=0, Float_t x6=0, Float_t x7=0,
                        Float_t x8=0, Float_t x9=0, Float_t x10=0,
                        Float_t x11=0, Float_t x12=0, Float_t x13=0,
                        Float_t x14=0);
   virtual Int_t   GetNvar() const { return fNvar; }
         Float_t  *GetArgs() const { return fArgs; }

   ClassDef(TNtuple,1)  //A simple tree with only one branch of floats.
};

#endif
