
#ifndef ROOT_TPARA
#define ROOT_TPARA

//+SEQ,CopyRight,T=NOINCLUDE.

////////////////////////////////////////////////////////////////////////////
//                                                                        //
// TPARA                                                                  //
//                                                                        //
// PARA is parallelepiped. It has 6 parameters, the half length in x,     //
// the half length in y, the half length in z, the angle w.r.t. the y     //
// axis from the centre of the low y edge to the centre of the high y     //
// edge, and the theta phi polar angles from the centre of the low        //
// z face to the centre of the high z face.                               //
//                                                                        //
////////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TBRIK
//*KEEP,TBRIK.
#include "TBRIK.h"
//*KEND.
#endif

class TPARA : public TBRIK {

    protected:
        Float_t fAlpha;  // angle w.r.t. the y axis from the centre of the low y to the high y
        Float_t fTheta;  // polar angle from the centre of the low z to the high z
        Float_t fPhi;    // polar angle from the centre of the low z to the high z

    public:
        TPARA();
        TPARA(Text_t *name, Text_t *title, Text_t *material, Float_t dx, Float_t dy, Float_t dz,
              Float_t alpha, Float_t theta, Float_t phi);
        virtual ~TPARA();

        virtual Float_t  GetAlpha()  {return fAlpha;}
        virtual Float_t  GetTheta()  {return fTheta;}
        virtual Float_t  GetPhi()    {return fPhi;}
        virtual void     SetPoints  (Float_t *buff);

        ClassDef(TPARA,1)  //PARA shape
};

#endif
