
#ifndef ROOT_TPaveLabel
#define ROOT_TPaveLabel

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TPaveLabel                                                           //
//                                                                      //
// PaveLabel  A Pave with a label.                                      //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TPave
//*KEEP,TPAVE.
#include "TPave.h"
//*KEND.
#endif
#ifndef ROOT_TAttText
//*KEEP,TATTTEXT.
#include "TAttText.h"
//*KEND.
#endif


class TPaveLabel : public TPave, public TAttText {

protected:
        TString      fLabel;         //Label written at the center of Pave

public:
        TPaveLabel();
        TPaveLabel(Coord_t x1, Coord_t y1,Coord_t x2 ,Coord_t y2, const Text_t *label, Option_t *option="br");
        TPaveLabel(const TPaveLabel &pavelabel);
        virtual ~TPaveLabel();
                void  Copy(TObject &pavelabel);
        virtual void  Draw(Option_t *option="");
        virtual void  DrawPaveLabel(Coord_t x1, Coord_t y1,Coord_t x2 ,Coord_t y2,
                      const Text_t *label, Option_t *option="");
        const  Text_t *GetLabel() const {return fLabel.Data();}
        const  Text_t *GetTitle() const {return fLabel.Data();}
        virtual void  Paint(Option_t *option="");
        virtual void  PaintPaveLabel(Coord_t x1, Coord_t y1,Coord_t x2 ,Coord_t y2,
                      const Text_t *label, Option_t *option="");
        virtual void  Print(Option_t *option="");
        virtual void  SavePrimitive(ofstream &out, Option_t *option);
        virtual void  SetLabel(const Text_t *label) {fLabel = label;} // *MENU*

        ClassDef(TPaveLabel,1)  //PaveLabel. A Pave with a label
};

#endif

