#ifndef ROOT_TPaveVar
#define ROOT_TPaveVar

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TPaveVar                                                             //
//                                                                      //
// A TPaveLabel specialized for TTree variables and cuts                //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TPaveLabel
//*KEEP,TPAVELABEL.
#include "TPaveLabel.h"
//*KEND.
#endif
#ifndef ROOT_TTreeViewer
//*KEEP,TTREEVIEWER.
#include "TTreeViewer.h"
//*KEND.
#endif


class TPaveVar : public TPaveLabel{

protected:
        TTreeViewer   *fViewer;       //Pointer to the TTreeViewer referencing this object
        virtual void  ExecuteEvent(Int_t event, Int_t px, Int_t py);

public:
        TPaveVar();
        TPaveVar(Coord_t x1, Coord_t y1,Coord_t x2 ,Coord_t y2, const Text_t *label, TTreeViewer *viewer);
        TPaveVar(const TPaveVar &PaveVar);
        virtual      ~TPaveVar();
                void  Copy(TObject &PaveVar);
        TTreeViewer  *GetViewer() {return fViewer;}
        virtual void  SavePrimitive(ofstream &out, Option_t *option);
        virtual void  Merge(Option_t *option="AND");  // *MENU*
        virtual void  SetViewer(TTreeViewer *viewer) {fViewer = viewer;}

        ClassDef(TPaveVar,1)  //A TPaveLabel specialized for TTree variables and cuts
};

#endif

