
#ifndef ROOT_TPavesText
#define ROOT_TPavesText

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TPavesText                                                           //
//                                                                      //
// PavesText   A PaveText with a number of stacked paves.               //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TPaveText
//*KEEP,TPAVETEXT.
#include "TPaveText.h"
//*KEND.
#endif

class TPavesText : public TPaveText {

protected:
        Int_t      fNpaves;        //Number of stacked paves

public:
        TPavesText();
        TPavesText(Coord_t x1, Coord_t y1,Coord_t x2 ,Coord_t y2, Int_t npaves=5, Option_t *option="br");
        TPavesText(const TPavesText &pavestext);
        virtual ~TPavesText();
                void  Copy(TObject &pavestext);
        virtual void  Draw(Option_t *option="");
        virtual Int_t GetNpaves() {return fNpaves;}
        virtual void  Paint(Option_t *option="");
        virtual void  SavePrimitive(ofstream &out, Option_t *option);
        virtual void  SetNpaves(Int_t npaves=5) {fNpaves=npaves;} // *MENU*

        ClassDef(TPavesText,1)  //Stacked Paves with text strings
};

#endif

