
#ifndef ROOT_TPolyLine
#define ROOT_TPolyLine

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TPolyLine                                                            //
//                                                                      //
// A PolyLine.                                                          //
//                                                                      //
//////////////////////////////////////////////////////////////////////////


#ifndef ROOT_TString
//*KEEP,TString.
#include "TString.h"
//*KEND.
#endif
#ifndef ROOT_TObject
//*KEEP,TObject.
#include "TObject.h"
//*KEND.
#endif
#ifndef ROOT_TAttLine
//*KEEP,TAttLine.
#include "TAttLine.h"
//*KEND.
#endif
#ifndef ROOT_TAttFill
//*KEEP,TAttFill.
#include "TAttFill.h"
//*KEND.
#endif


class TPolyLine : public TObject, public TAttLine, public TAttFill {

protected:
        Int_t        fN;            //Number of points
        Float_t      *fX;           //Array of X coordinates
        Float_t      *fY;           //Array of Y coordinates
        TString      fOption;       //options

public:
        TPolyLine();
        TPolyLine(Int_t n, Option_t *option="");
        TPolyLine(Int_t n, Float_t *x, Float_t *y, Option_t *option="");
        TPolyLine(const TPolyLine &polyline);
        virtual ~TPolyLine();
        virtual void    Copy(TObject &polyline);
        virtual Int_t   DistancetoPrimitive(Int_t px, Int_t py);
        virtual void    Draw(Option_t *option="");
        virtual void    DrawPolyLine(Int_t n, Float_t *x, Float_t *y, Option_t *option="");
        virtual void    ExecuteEvent(Int_t event, Int_t px, Int_t py);
        Int_t           GetN() {return fN;}
        Float_t         *GetX() {return fX;}
        Float_t         *GetY() {return fY;}
        Option_t        *GetOption() const {return fOption.Data();}
        virtual void    ls(Option_t *option="");
        virtual void    Paint(Option_t *option="");
        virtual void    PaintPolyLine(Int_t n, Float_t *x, Float_t *y, Option_t *option="");
        virtual void    PaintPolyLineNDC(Int_t n, Float_t *x, Float_t *y, Option_t *option="");
        virtual void    Print(Option_t *option="");
        virtual void    SavePrimitive(ofstream &out, Option_t *option);
        virtual void    SetOption(Option_t *option="") {fOption = option;}
        virtual void    SetPoint(Int_t point, Float_t x, Float_t y); // *MENU*
        virtual void    SetPolyLine(Int_t n, Float_t *x=0, Float_t *y=0, Option_t *option="");

        ClassDef(TPolyLine,1)  //A PolyLine
};

#endif

