
#ifndef ROOT_TPosixThread
#define ROOT_TPosixThread

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TPosixThread                                                         //
//                                                                      //
// This class provides an interface to the posix thread routines.       //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TThreadImp
//*KEEP,TThreadImp,T=C++.
#include "TThreadImp.h"
//*KEND.
#endif

#include <pthread.h>

R__EXTERN "C" unsigned int sleep(unsigned int seconds);
class TPosixThreadCleanUp ;


class TPosixThread : public TThreadImp {
//friend class TPosixThreadFactory ;

public:
TPosixThread();
TPosixThreadCleanUp *fCleanUp;

virtual Int_t Join(Int_t jid, void **ret);
virtual Int_t SelfId();
virtual Int_t Run(TThread *th);

virtual Int_t Kill(TThread *th);
virtual Int_t SetCancelOff();
virtual Int_t SetCancelOn(); 		
virtual Int_t SetCancelAsynchronous();
virtual Int_t SetCancelDeferred(); 	
virtual Int_t CancelPoint();
virtual Int_t CleanUpPush(void **main, void *free,void *arg);
virtual Int_t CleanUpPop(void **main, Int_t exe );
virtual Int_t CleanUp(void **main);

virtual Int_t Exit(void *ret);


virtual Int_t Sleep  (ULong_t secs, ULong_t nanos = 0);
virtual Int_t GetTime(ULong_t *absSec, ULong_t *absNanoSec);


ClassDef(TPosixThread,0)  // TPosixThread class
};

class  TPosixThreadCleanUp {
friend class TPosixThread ;

void *fRoutine;
void *fArgument;
TPosixThreadCleanUp *fNext;

public:
 TPosixThreadCleanUp(void **main,void *routine,void *arg);
~TPosixThreadCleanUp();

};





#endif
