
//+SEQ,CopyRight,T=NOINCLUDE.

#ifndef ROOT_TRint
#define ROOT_TRint

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// Rint                                                                 //
//                                                                      //
// Rint is the ROOT Interactive Interface. It allows interactive access //
// to the ROOT system via a C++ interpreter.                            //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

//*KEEP,TAPPLICATION.
#include "TApplication.h"
//*KEND.


class TRint : public TApplication {

private:
   Int_t       fNcmd;               //Command history number
   char        fPrompt[64];         //Interpreter prompt
   const char *fDefaultPrompt;      //Default prompt: "root [%d] "
   Bool_t      fInterrupt;          //If true macro execution will be stopped

public:
   TRint(char *appClassName, int *argc, char **argv,
         void *options = NULL, int numOptions = 0);
   virtual             ~TRint();
   virtual char       *GetPrompt();
   virtual const char *SetPrompt(const char *newPrompt);
   virtual void        HandleTermInput();
   virtual void        PrintLogo();
   virtual void        Run(Bool_t retrn = kFALSE);
   virtual void        Terminate(int status);
           void        Interrupt() { fInterrupt = kTRUE; }

   ClassDef(TRint,0)  //ROOT Interactive Application Interface
};

#endif
