
#ifndef ROOT_TRootContextMenu
#define ROOT_TRootContextMenu

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TRootContextMenu                                                     //
//                                                                      //
// This class provides an interface to context sensitive popup menus.   //
// These menus pop up when the user hits the right mouse button, and    //
// are destroyed when the menu pops downs.                              //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TContextMenuImp
//*KEEP,TCONTEXTMENUIMP.
#include "TContextMenuImp.h"
//*KEND.
#endif
#ifndef ROOT_TGMenu
//*KEEP,TGMENU.
#include "TGMenu.h"
//*KEND.
#endif

class TRootDialog;


class TRootContextMenu : public TGPopupMenu, public TContextMenuImp {

private:
   TRootDialog *fDialog;    // dialog prompting for command line arguments
   TList       *fCleanup;   // list of objects to be deleted before refilling menu

   void CreateMenu(TObject *object);

public:
   TRootContextMenu(TContextMenu *c, const char *name);
   virtual ~TRootContextMenu();

   virtual void DisplayPopup(Int_t x, Int_t y);
   virtual void Dialog(TObject *object, TMethod *method);
   TRootDialog *GetDialog() const { return fDialog; };

   Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);

   ClassDef(TRootContextMenu,0)  //ROOT native GUI context sensitive popup menu
};

#endif
