
#ifndef ROOT_TTRD1
#define ROOT_TTRD1

//+SEQ,CopyRight,T=NOINCLUDE.

////////////////////////////////////////////////////////////////////////////
//                                                                        //
// TTRD1                                                                  //
//                                                                        //
// TRD1 is a trapezoid with only the x length varying with z. It has 4    //
// parameters, the half length in x at the low z surface, that at the     //
// high z surface, the half length in y, and in z.                        //
//                                                                        //
////////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TBRIK
//*KEEP,TBRIK.
#include "TBRIK.h"
//*KEND.
#endif

class TTRD1 : public TBRIK {

    protected:
        Float_t fDx2;        // half length in x at the high z surface

    public:
        TTRD1();
        TTRD1(Text_t *name, Text_t *title, Text_t *material, Float_t dx1, Float_t dx2, Float_t dy, Float_t dz);
        virtual ~TTRD1();

        virtual Float_t GetDx2() {return fDx2;}
        virtual void    SetPoints(Float_t *buff);

        ClassDef(TTRD1,1)  //TRD1 shape
};

#endif
