
#ifndef ROOT_TTRD2
#define ROOT_TTRD2

//+SEQ,CopyRight,T=NOINCLUDE.

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TTRD2                                                                //
//                                                                      //
// TRD2 is a trapezoid with both x and y lengths varying with z. It     //
// has 5 parameters, half length in x at the low z surface, half length //
// in x at the high z surface, half length in y at the low z surface,   //
// half length in y at the high z surface, and half length in z         //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TBRIK
//*KEEP,TBRIK.
#include "TBRIK.h"
//*KEND.
#endif

class TTRD2 : public TBRIK {

    protected:
        Float_t fDx2;        // half length in x at the high z surface
        Float_t fDy2;        // half length in y at the high z surface


    public:
        TTRD2();
        TTRD2(Text_t *name, Text_t *title, Text_t *material, Float_t dx1, Float_t dx2,
              Float_t dy1, Float_t dy2, Float_t dz);
        virtual ~TTRD2();

        Float_t         GetDx2() {return fDx2;}
        Float_t         GetDy2() {return fDy2;}
        virtual void    SetPoints(Float_t *buff);

        ClassDef(TTRD2,1)  //TRD2 shape
};

#endif

