//+SEQ,CopyRight,T=NOINCLUDE.

#ifndef ROOT_TWin32Application
#define ROOT_TWin32Application

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TGWin32                                                              //
//                                                                      //
// Interface to low level Windows32. This class gives access to basic   //
// Win32 graphics, pixmap, text and font handling routines.             //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TApplicationImp
//*KEEP,TApplicationImp,T=C++.
#include "TApplicationImp.h"
//*KEND.
#endif

//*KEEP,Windows4Root,T=C++.
#include "Windows4Root.h"
//*KEND.
#include <commctrl.h>

class TGWin32Command;

#ifdef _SC_
LPTHREAD_START_ROUTINE ROOT_CmdLoop(HANDLE ThrSem);
#else
unsigned int _stdcall ROOT_CmdLoop(HANDLE ThrSem);
#endif

class TWin32Application : public TApplicationImp  {

private:

  DWORD  fIDCmdThread;
  HANDLE fhdCmdThread;

  DWORD  fIDDlgThread;
  HANDLE fhdDlgThread;


  Int_t   CreateCmdThread();
  Int_t   CreateDlgThread();


public:

   TWin32Application() {};
   TWin32Application(const char *appClassName, int *argc, char **argv,
                   void *options, int numOptions);
   virtual ~TWin32Application();

   char   *ApplicationName() const;

   BOOL    ExecCommand(TGWin32Command *command, Bool_t synch=kFALSE);   // To exec a command coming from the other threads
   DWORD   GetCmdThreadID(){return fIDCmdThread;}
   DWORD   GetDlgThreadID(){return fIDDlgThread;}
   void    Show();
   void    Hide();
   void    Iconify();
   Bool_t  IsCmdThread();
   void    Init();
   void    Open();
   void    Raise();
   void    Lower();

   ClassDef(TWin32Application,0)

};

#endif
