//+SEQ,CopyRight,T=NOINCLUDE.

#ifndef ROOT_TWin32GuiFactory
#define ROOT_TWin32GuiFactory

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TWin32GuiFactory                                                     //
//                                                                      //
// This class is a factory for Win32 GUI components. It overrides       //
// the member functions of the ABS TGuiFactory.                         //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef ROOT_TGuiFactory
//*KEEP,TGuiFactory.
#include "TGuiFactory.h"
//*KEND.
#endif

#ifndef ROOT_TWin32Canvas
//*KEEP,TWin32Canvas.
#include "TWin32Canvas.h"
//*KEND.
#endif

class TWin32GuiFactory : public TGuiFactory {

public:
   TWin32GuiFactory(){;}
   TWin32GuiFactory(const char *name, const char *title);
   virtual ~TWin32GuiFactory(){;}

   TApplicationImp *CreateApplicationImp(const char *classname, int *argc, char **argv, void *option, Int_t numOptions);

   TCanvasImp *CreateCanvasImp(TCanvas *c, const char *title, UInt_t width, UInt_t height);
   TCanvasImp *CreateCanvasImp(TCanvas *c, const char *title, Int_t x, Int_t y, UInt_t width, UInt_t height);

   TBrowserImp *CreateBrowserImp(TBrowser *b, const char *title, UInt_t width, UInt_t height);
   TBrowserImp *CreateBrowserImp(TBrowser *b, const char *title, Int_t x, Int_t y, UInt_t width, UInt_t height);

   TContextMenuImp *CreateContextMenuImp( TContextMenu *c, const char *name, const char *title );

   TControlBarImp *CreateControlBarImp( TControlBar *c, const char *title );
   TControlBarImp *CreateControlBarImp( TControlBar *c, const char *title, Int_t x, Int_t y );

   ClassDef(TWin32GuiFactory,0)  //Factory for Win32 GUI components
};

#endif
