//+SEQ,CopyRight,T=NOINCLUDE.

#ifndef ROOT_TWin32Menu
#define ROOT_TWin32Menu

//*KEEP,Windows4Root,T=C++.
#include "Windows4Root.h"
//*KEND.

#ifndef ROOT_TNamed
//*KEEP,TNamed.
#include "TNamed.h"
//*KEND.
#endif

#ifndef ROOT_TObjArray
//*KEEP,TObjArray.
#include "TObjArray.h"
//*KEND.
#endif

#ifndef ROOT_TWin32MenuItem
//*KEEP,TWin32MenuItem.
#include "TWin32MenuItem.h"
//*KEND.
#endif

typedef enum {kMenu, kPopUpMenu} EMenuType;

class TWin32Menu : public TNamed {

protected:

   friend  class      TVirtualMenuItem;

   HMENU         fMenu;          // The present Menu handle
   TList         fItemsList;     // List of the items
   int           fItemNumber;
   int           fBaseItemNumber;
//   TWin32CallBackList fMenuAction;

   void  DeleteTheItem(TVirtualMenuItem *item);
   void  DetachItems();

public:

   TWin32Menu();
   TWin32Menu(char *name, const char *title="Win32Menu", EMenuType issubmenu = kMenu);
   virtual ~TWin32Menu();

   void  Add(TVirtualMenuItem *item);
   void  Add(EMenuItemType custom);
   Int_t DefineItemPosition(TVirtualMenuItem *item);
   HMENU GetMenuHandle();
   void  InsertItemAtPoistion(TVirtualMenuItem *item, Int_t position);
   void  Modify(TVirtualMenuItem *item, UINT type);
   void  RemoveTheItem(TVirtualMenuItem *item);
   void  SetMethod();
   void  DisplayRootMenu();

   ClassDef(TWin32Menu,0)
};

#endif
